Groups

List Group Members

GET
/groups/{groupId}/members

Returns a List of all other Group Members. This endpoint will never return the user calling the endpoint. Information about the user calling the endpoint must be found in the myMember field of the Group object.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Query Parameters

n?integer

The number of objects to return.

Default60
Range1 <= value <= 100
offset?integer

A zero-based offset from the default object sorting from where search results start.

Range0 <= value
sort?string

The sort order of Group Member results

Value in"joinedAt:asc" | "joinedAt:desc"
roleId?string

Only returns members with a specific groupRoleId

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/members"
[
  {
    "acceptedByDisplayName": "string",
    "acceptedById": "string",
    "bannedAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
    "hasJoinedFromPurchase": true,
    "id": "gmem_95cdb3b4-4643-4eb6-bdab-46a4e1e5ce37",
    "isRepresenting": true,
    "isSubscribedToAnnouncements": false,
    "isSubscribedToEventAnnouncements": true,
    "joinedAt": "2019-08-24T14:15:22Z",
    "lastPostReadAt": "2019-08-24T14:15:22Z",
    "mRoleIds": [
      "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
    ],
    "managerNotes": "string",
    "membershipStatus": "member",
    "roleIds": [
      "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
    ],
    "user": {
      "currentAvatarTags": [
        "string"
      ],
      "currentAvatarThumbnailImageUrl": "string",
      "displayName": "string",
      "iconUrl": "string",
      "id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
      "profilePicOverride": "string",
      "thumbnailUrl": "string"
    },
    "userId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
    "visibility": "visible"
  }
]

{
  "error": {
    "message": "n=1000 is much too high․ implement paging you savages․",
    "status_code": 400
  }
}

{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "Can't find groupǃ",
    "status_code": 404
  }
}